/*
 * mvs-watc-movie.h
 *
 * This file is part of maevies
 * Copyright (C) 2010 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef _MVS_WATC_MOVIE
#define _MVS_WATC_MOVIE

#include <glib-object.h>

G_BEGIN_DECLS

enum {
        MVS_STINGERS_UNKNOWN,
        MVS_STINGERS_YES,
        MVS_STINGERS_NO,
        MVS_STINGERS_LAST
};

#define MVS_TYPE_WATC_MOVIE mvs_watc_movie_get_type()
#define MVS_WATC_MOVIE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MVS_TYPE_WATC_MOVIE, MvsWatcMovie))
#define MVS_WATC_MOVIE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MVS_TYPE_WATC_MOVIE, MvsWatcMovieClass))
#define MVS_IS_WATC_MOVIE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MVS_TYPE_WATC_MOVIE))
#define MVS_IS_WATC_MOVIE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MVS_TYPE_WATC_MOVIE))
#define MVS_WATC_MOVIE_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MVS_TYPE_WATC_MOVIE, MvsWatcMovieClass))

typedef struct _MvsWatcMoviePrivate MvsWatcMoviePrivate;

typedef struct {
        GObject parent;

        /* <private> */
        MvsWatcMoviePrivate *priv;
} MvsWatcMovie;

typedef struct {
        GObjectClass parent_class;
} MvsWatcMovieClass;

GType mvs_watc_movie_get_type (void);

MvsWatcMovie* mvs_watc_movie_new (const gchar *raw_name);

gboolean
mvs_watc_movie_set_name (MvsWatcMovie *self, const gchar *name);

const gchar*
mvs_watch_movie_get_name (MvsWatcMovie *self);

gboolean
mvs_watc_movie_set_stingers (MvsWatcMovie *self, int stingers);

gint
mvs_watch_movie_get_stingers (MvsWatcMovie *self);

gboolean
mvs_watc_movie_set_year (MvsWatcMovie *self, const gchar *year);

const gchar*
mvs_watc_movie_get_year (MvsWatcMovie *self);

void
mvs_watch_movie_print (MvsWatcMovie *self);

G_END_DECLS

#endif /* _MVS_WATC_MOVIE */
